libssh: ssh_server_callbacks_struct Struct Reference

libssh 0.12.1 The SSH library

Loading...
Searching...
No Matches
Data Fields
ssh_server_callbacks_struct Struct Reference
The libssh API » The libssh callbacks

`#include <callbacks.h>`

## Data Fields
size_t | size
void * | userdata
ssh_auth_password_callback | auth_password_function
ssh_auth_none_callback | auth_none_function
ssh_auth_gssapi_mic_callback | auth_gssapi_mic_function
ssh_auth_pubkey_callback | auth_pubkey_function
ssh_service_request_callback | service_request_function
ssh_channel_open_request_session_callback | channel_open_request_session_function
ssh_gssapi_select_oid_callback | gssapi_select_oid_function
ssh_gssapi_accept_sec_ctx_callback | gssapi_accept_sec_ctx_function
ssh_gssapi_verify_mic_callback | gssapi_verify_mic_function
ssh_channel_open_request_direct_tcpip_callback | channel_open_request_direct_tcpip_function
ssh_auth_kbdint_callback | auth_kbdint_function

## Detailed Description

This structure can be used to implement a libssh server, with appropriate callbacks.

## Field Documentation

## ◆ auth_gssapi_mic_function

ssh_auth_gssapi_mic_callback ssh_server_callbacks_struct::auth_gssapi_mic_function

This function gets called when a client tries to authenticate through gssapi-mic method.

## ◆ auth_kbdint_function

ssh_auth_kbdint_callback ssh_server_callbacks_struct::auth_kbdint_function

This function gets called when a client tries to authenticate through keyboard interactive method.

## ◆ auth_none_function

ssh_auth_none_callback ssh_server_callbacks_struct::auth_none_function

This function gets called when a client tries to authenticate through none method.

## ◆ auth_password_function

ssh_auth_password_callback ssh_server_callbacks_struct::auth_password_function

This function gets called when a client tries to authenticate through password method.

## ◆ auth_pubkey_function

ssh_auth_pubkey_callback ssh_server_callbacks_struct::auth_pubkey_function

this function gets called when a client tries to authenticate or offer a public key.

## ◆ channel_open_request_direct_tcpip_function

ssh_channel_open_request_direct_tcpip_callback ssh_server_callbacks_struct::channel_open_request_direct_tcpip_function

This function will be called when an incoming "direct-tcpip" request is received.

## ◆ channel_open_request_session_function

ssh_channel_open_request_session_callback ssh_server_callbacks_struct::channel_open_request_session_function

This functions gets called when a new channel request is issued by the client

## ◆ gssapi_accept_sec_ctx_function

ssh_gssapi_accept_sec_ctx_callback ssh_server_callbacks_struct::gssapi_accept_sec_ctx_function

This function will be called when a gssapi token comes in.

## ◆ gssapi_select_oid_function

ssh_gssapi_select_oid_callback ssh_server_callbacks_struct::gssapi_select_oid_function

This function will be called when a new gssapi authentication is attempted. This should select the oid and acquire credential for the server.

## ◆ gssapi_verify_mic_function

ssh_gssapi_verify_mic_callback ssh_server_callbacks_struct::gssapi_verify_mic_function

This function will be called when a MIC needs to be verified.

## ◆ service_request_function

ssh_service_request_callback ssh_server_callbacks_struct::service_request_function

This functions gets called when a service request is issued by the client

## ◆ size

size_t ssh_server_callbacks_struct::size

DON'T SET THIS use ssh_callbacks_init() instead.

## ◆ userdata

void* ssh_server_callbacks_struct::userdata

User-provided data. User is free to set anything he wants here

The documentation for this struct was generated from the following file:

- /build/libssh/src/libssh-0.12.1/include/libssh/callbacks.h